/*
 * P2PServer.h
 *
 *  Created on: 17.01.2017
 *      Author: Piotr Dergun
 */

#ifndef P2PSERVER_H_
#define P2PSERVER_H_

#include "common.h"
#include "Node.h"
#include "Simulation.h"

class P2PServer : public Node
{
	string seedIp, peerIp;
	int seedPort, peerPort;
	Simulation *sim;

public:
	P2PServer();
	P2PServer(string hostname, string ip, string mask);
	virtual ~P2PServer();

	virtual void onRecv();
	const Simulation* getSim();
	void setSim(Simulation* sim);
};

#endif /* P2PSERVER_H_ */
